Skip to main content
POST
/
orgs
/
{orgId}
/
sender-addresses
Creates a new sender address
curl --request POST \
  --url https://api.zippendo.com/orgs/{orgId}/sender-addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "attContact": "<string>",
  "address1": "<string>",
  "zipcode": "<string>",
  "city": "<string>",
  "phone": "<string>",
  "countryCode": "<string>",
  "state": "<string>",
  "email": "jsmith@example.com",
  "address2": "<string>",
  "customs": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "attContact": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "zipcode": "<string>",
  "city": "<string>",
  "phone": "<string>",
  "countryCode": "<string>",
  "state": "<string>",
  "email": "jsmith@example.com",
  "orgId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "customs": {}
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Body

application/json
name
string
required

Name of the sender address

Minimum string length: 1
attContact
string
required

Attention contact

Minimum string length: 1
address1
string
required

Address line 1

Minimum string length: 1
zipcode
string
required

Postal/ZIP code

Minimum string length: 1
city
string
required

City

Minimum string length: 1
phone
string
required

Phone number

Minimum string length: 1
countryCode
string
required

Country code (ISO 2 or 3 letter)

Required string length: 2 - 3
state
string
required

State/Province

Minimum string length: 1
email
string<email>
required

Email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
address2
string

Address line 2

customs
object

Customs identifiers (voec, eori, sprn, ioss, fda, duns)

Response

Default Response

id
string
required
name
string
required

Name of the sender address (e.g., 'primary hub')

attContact
string
required

Attention contact

address1
string
required

Address line 1

address2
string | null
required

Address line 2

zipcode
string
required

Postal/ZIP code

city
string
required

City

phone
string
required

Phone number

countryCode
string
required

Country code

state
string
required

State/Province

email
string<email>
required

Email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
orgId
string
required
createdAt
string
required
updatedAt
string
required
customs
object